from setuptools import setup
from setuptools.command.install_scripts import install_scripts
from subprocess import check_output


#class PostInstall(install_scripts):
#    def run(self):
#        install_scripts.run(self)
#        print "running syncloud remote installer"
#        print check_output("remote-access-install")

requirements = [
    'syncloud-app',
    'syncloud-insider'
]

setup(
    name = 'syncloud-remote',
    version = '0.7',
    scripts = ['bin/remote', 'bin/remote-access-copy-sshd', 'bin/remote-access-pre-remove'],
    install_requires = requirements,
    description = 'Remote SSH access control tool',
    packages=['syncloud', 'syncloud.remote'],
    namespace_packages=['syncloud'],
    license='GPLv3',
    author = 'Syncloud',
    author_email = 'syncloud@googlegroups.com',
    url = 'https://github.com/syncloud/remote'
    # cmdclass={"install_scripts": PostInstall}
)